#
# spec file for package docbook2x (Version 0.8.2)
#
# Copyright (c) 2004 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  docbook_4 expat libxml2 libxml2-devel libxslt libxslt-devel openjade opensp perl-URI perl-XML-DOM perl-XML-Parser perl-XML-RegExp perl-libwww-perl perl-libxml-perl sgml-skel tidy
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib docbook_4 expat gcc gdbm gettext libtool libxml2 libxml2-devel libxslt libxslt-devel openjade opensp perl perl-URI perl-XML-DOM perl-XML-Parser perl-XML-RegExp perl-libwww-perl perl-libxml-perl rpm sgml-skel tidy

Name:         docbook2x
URL:          http://docbook2x.sourceforge.net/
License:      GPL
Group:        Productivity/Publishing/DocBook
Provides:     docbook2X db2x
Requires:     perl-XML-Parser perl-libxml-perl perl-XML-DOM perl-XML-RegExp perl-URI
Requires:     openjade opensp tidy libxslt libxml2 perl-libwww-perl
Autoreqprov:  on
Obsoletes:    db2x
Summary:      DocBook-to-Texinfo Converter
Version:      0.8.2
Release:      0
Source:       http://ftp1.sourceforge.net/sourceforge/docbook2x/docbook2X-%{version}.tar.gz
# Patch:        docbook2x-makefile.diff
Patch1:       docbook2X-0.6.9-filelist.diff
Patch2:       gcc3.diff
Patch3:       docbook2x-0.8.2-perlsax.patch
Patch4:       docbook2x-0.8.2-disable-doc.patch
Patch5:       makefile-pl.patch
# does BuildRoot: work?
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
A new tool - based on Perl modules.



Authors:
--------
    Steve Cheng <stevecheng@users.sourceforge.net>

%define INSTALL install -m755 -s
%define INSTALL_SCRIPT install -m755
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q -n docbook2X-%{version}
#%patch -p 1
%patch2 -p 1
%patch3 -p 1
%patch4 -p 1
%patch5 -p 1
%define perl_site %(TMP=%{perl_sitearch}; echo ${TMP%/*})

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --infodir=%{_infodir} \
            --with-xmldecl=/usr/share/sgml/opensp/xml.dcl
make

%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
   rm -fr $RPM_BUILD_ROOT
   %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT \
  nsgmls_xmldecl=/usr/share/sgml/opensp/xml.dcl
%perl_process_packlist

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/docbook2X
# %perl_vendorarch/*.pm
# %dir %perl_sitearch/
%perl_vendorarch/*/*
/var/adm/perl-modules/%name
%{perl_vendorlib}/XML/Handler/Templates.pm

%changelog -n docbook2x
* Tue Dec 16 2003 - ke@suse.de
- Update to version 0.8.2.
- Enable BuildRoot.
- Add to neededforbuild: perl-XML-Parser perl-XML-DOM perl-XML-RegExp
  expat perl-libwww-perl perl-URI docbook_4 sgml-skel.
- Adjust gcc3.diff.
- Disable doc dir for the moment.
* Wed Dec 04 2002 - ke@suse.de
- Don't install docbook2manxml; it isn't compatible with current
  Perl modules; [#  21853].
* Mon Nov 11 2002 - ro@suse.de
- update Requires
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <jade_dsl> to <openjade>
- changed neededforbuild <sp> to <opensp>
* Wed Mar 13 2002 - sf@suse.de
- corrected error for all 64-bit archs and gcc3
* Tue Nov 20 2001 - ke@suse.de
- Update to version 0.7.0.
- Rename db2x -> docbook2x.
- Drop obsolete .test file.
- Fix "Requires:".
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu Aug 02 2001 - ke@suse.de
- Update to version 0.6.9.
- More specfile cleanup: Install data files [#4140].
* Fri Nov 17 2000 - ke@suse.de
- Update to version 0.6.0 (# 4140).
- Cleanup spec file.
* Tue Aug 15 2000 - ke@suse.de
- Install Map.pm (start to resolve bug # 3760).
* Mon Jan 10 2000 - ke@suse.de
- Update: version 0.5.1 (sic!, the previous version number was wrongly
  taken from a component of the package).
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 04 1999 - ke@suse.de
- New package: version 1.4.
